Pardon our mess These API docs are a work in progress. Endpoints, examples, and behavior may change as we continue to develop the Partner API v2.

Partner API

Create path

POST /api/v2/paths - Creates a new path draft.

POST/api/v2/paths

Creates a new path draft.

Required scope: paths (or *).

JSON body

NameRequiredDescription
slugYesURL slug
labelYesDisplay label
path_jsonNoInitial path JSON document
curl -s -X POST -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "slug": "medicare-quiz",
  "label": "Medicare Quiz",
  "path_json": {
    "pages": [
      {
        "id": "welcome",
        "title": "Welcome"
      }
    ],
    "logic": {},
    "settings": {
      "theme": "default"
    }
  }
}' \
  "https://benefitpath.com/api/v2/paths"
{
  "success": true,
  "path": {
    "path_uuid": "c0a80101-0000-4000-8000-000000000005",
    "slug": "medicare-quiz",
    "label": "Medicare Quiz"
  }
}

See Errors for the standard error envelope and rate limits.